package Search;

import SortAlgori.MergeSort;

public class SeqSearch {

    private int[] arr;

    public SeqSearch(int[] arr){
        this.arr = arr;
    }

    public int search(int value){
        for (int i = 0; i < arr.length; i++) {
            if (arr[i] == value){
                return i;
            }
        }
        return -1;
    }

    public static void main(String[] args) {
        int[] arr = new int[]{1,9,11,-1,34,89};
        SeqSearch seqSearch = new SeqSearch(arr);
        long startTime = System.currentTimeMillis();
        int search = seqSearch.search(11);
        long endTime = System.currentTimeMillis();
        System.out.println("查找到的下标是：" + search);
        System.out.println("查找所花费的时间：" + (endTime - startTime) + "ms");
    }
}
